<?php
/*
Plugin Name:  Block search
Version: 11.0.b
Description: Add a block search
Plugin URI: http://piwigo.org/ext/extension_view.php?eid=896
Author: ddtddt
Author URI: http://temmii.com/piwigo/
*/

// +-----------------------------------------------------------------------+
// |Block search for Piwigo by TEMMII                                      |
// +-----------------------------------------------------------------------+
// | Copyright(C) 2020 - 2021 ddtddt             http://temmii.com/piwigo/ |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

defined('PHPWG_ROOT_PATH') or die('Hacking attempt!');

define('BSEARCH_PATH' , PHPWG_PLUGINS_PATH . basename(dirname(__FILE__)) . '/');

add_event_handler('loading_lang', 'bsearch_loading_lang');	  
function bsearch_loading_lang(){
  load_language('plugin.lang', BSEARCH_PATH);
}

$PWGSacc = pwg_db_fetch_assoc(pwg_query("SELECT state FROM " . PLUGINS_TABLE . " WHERE id = 'PWG_Stuffs';"));

if($PWGSacc['state'] == 'active'){
  add_event_handler('get_stuffs_modules', 'register_bsearch_module');

  function register_bsearch_module($modules){
	array_push($modules, array(
	  'path' => BSEARCH_PATH.'/blocksearch',
	  'name' => l10n('Search'),
	  'description' => l10n('Add Search block'),
	));
	return $modules;
  }
}else{
  if (script_basename() == 'admin'){
	global $page;
	$page['errors'][] = l10n('For use "Block search" the plugin PWG_Stuffs must be installed and activated');
  }	
}
